### Method

# Ide Pipeline ref_toolchain

#### Declaration

    IdeToolchain*
    ide_pipeline_ref_toolchain (
      IdePipeline* self
    )

#### Description

Thread-safe variant of ide_pipeline_get_toolchain().

Available since: | 3.32

#### Return value

Returns: | `IdeToolchain`
| An `IdeToolchain` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.